Optionally allow Text and Long Text custom fields support wiki formatting

2008-05-05 20:02 - Leandro Lucarella

Status: Closed Start date: 2008-05-05

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed   

Description

It would be very helpful if Text and Long Text custom fields support wiki formatting. It would be even better if the wiki support can be

activated or deactivated in a per-field basis, using a checkbox in the custom field properties (something like "Allow wiki format" next

to the "Required" checkbox).

Related issues:

Related to Redmine - Feature #2906: Refine the custom fields display for proj... New 2009-03-05

Related to Redmine - Feature #1358: Link_to for Custom Field Closed 2008-06-03

Related to Redmine - Feature #5794: URL custom fields Closed 2010-07-01

Related to Redmine - Feature #10398: Add a new custom field type with tags re... Closed

Related to Redmine - Feature #5250: Custom Fields may allow full text transfo... Closed 2010-04-06

Related to Redmine - Feature #7067: Develop editable textile custom field Closed 2010-12-07

Related to Redmine - Feature #13588: Make long-text and string fields textili... Closed

Related to Redmine - Feature #202: Textilization of Documents, News and Timel... New

Related to Redmine - Feature #3543: Improve 'long text' custom fields Closed 2009-06-25

Related to Redmine - Feature #21924: Formatting buttons on long text custom f... Closed

Related to Redmine - Defect #30027: Some styles (for ex: borders for tables) ... Closed

Has duplicate Redmine - Feature #6236: Wikified custom fields Closed 2010-08-27

Has duplicate Redmine - Feature #13183: add wiki format to custom issue field... Closed

History

#1 - 2008-06-05 20:56 - Arthaey Angosii

Implementing this would effectively make issue #1358 a duplicate of this by allowing me to have links in any custom field.

#2 - 2009-09-09 23:31 - Michael Burton

Related issues: #1358, #2906

#3 - 2010-07-15 19:32 - Jean-Baptiste Barth

Can you try the patch I proposed in #5794 and tell me if it works and fit your needs ?

#4 - 2010-07-15 20:34 - Leandro Lucarella

Jean-Baptiste Barth wrote:

Can you try the patch I proposed in #5794 and tell me if it works and fit your needs ?

 I'm sorry, I don't have a Redmine instance to play with at the moment, but I took to the patches and, if I understand correctly what they do (bare in

mind I'm not well versed in Ruby nor familiar with Redmine code), it's exactly what I wanted.

I prefer to have the option to textilize or not, but it wouldn't be too terrible if there is no option (it will not be backward compatible, though, and could

cause some pain in people already using it as plain text).

Thanks!

#5 - 2011-04-19 15:18 - ju mar

+1

I am also interested in having wiki-formatting in Text/Long Text custom fields. And I have a redmine install for testing purpose so I can test patches if
needed.

#6 - 2011-12-18 23:49 - Andriy Lesyuk

I just have released Extended fields plugin which adds "Wiki text" custom field type... Please check.

#7 - 2012-05-14 01:27 - Maxim Nikolaevich

Guys,

I think long text custom field should be used as "description" field (i mean full support wiki syntax) and simple text field should not.

I believe it solves many issues related with this issue with simplest way - without any additional options

#8 - 2013-02-11 11:11 - Anthony BOUQUET

+1 for this feature :)

#9 - 2013-02-18 12:39 - Ilya Ishmatov

Hi i use fix on my redmine:

I use Redmine::WikiFormatting.to_html for "text" custom field.

./app/helper/issue_helper.rb

def render_custom_fields_rows(issue)

return if issue.custom_field_values.empty?

ordered_values = []

half = (issue.custom_field_values.size / 2.0).ceil

half.times do |i|

ordered_values << issue.custom_field_values[i]

ordered_values << issue.custom_field_values[i + half]

end

s = "<tr>\n"

n = 0

ordered_values.compact.each do |value|

s << "</tr>\n<tr>\n" if n > 0 && (n % 2) == 0

s << "\t<th>#{ h(value.custom_field.name) }:</th><td>#{ show_value(value) }</td>\n"

n += 1

end

s << "</tr>\n"

s.html_safe

end

./lib/redmine/custom_field_format.rb

def format_as_text(value)

Redmine::WikiFormatting.to_html(Setting.text_formatting, value.to_s)

end

['string','int','float','list'].each do |name|

define_method("format_as_#{name}") {|value| return value}

end

#10 - 2013-04-10 09:24 - Dipan Mehta

Andriy Lesyuk wrote:

I just have released Extended fields plugin which adds "Wiki text" custom field type... Please check.

 I personally use this plugin. However, there is a critical challenge I faced which didn't allow me to use it fully. The 'Wiki text' is a new type of field and

fields types are not changeable AFTER they are created. so long text fields which we have already created cann't take the benefit of this. I know I

could tinker DB - but want to avoid this.

#11 - 2013-04-10 09:26 - Dipan Mehta

Add Related #13588.

#12 - 2013-04-10 10:55 - Maxim Nikolaevich

Maxim Nikolaevich wrote:

Guys,

I think long text custom field should be used as "description" field (i mean full support wiki syntax) and simple text field should not.

I believe it solves many issues related with this issue with simplest way - without any additional options
 I just wanna show pic about extra options: http://verkoren.wordpress.com/2012/04/07/your-companys-app-vs-typical-apple-and-google-products/

Guys from team - i can do patch to extend long text with full wiki support - If you agree with me that this best solution

#13 - 2013-04-10 12:07 - Dipan Mehta

Other Related #202, #7067, #5250

#14 - 2013-04-10 12:15 - Dipan Mehta

Maxim Nikolaevich wrote:

I just wanna show pic about extra options: http://verkoren.wordpress.com/2012/04/07/your-companys-app-vs-typical-apple-and-google-products/

Guys from team - i can do patch to extend long text with full wiki support - If you agree with me that this best solution

 Don't know what exactly was the connotation of the link you posted. Never-the-less, I think this is the essential feature that is quite desirable.

+100

#15 - 2013-04-10 14:08 - Dipan Mehta

Add related #5250, #7067

#16 - 2013-04-10 17:14 - Daniel Felix

Dipan Mehta wrote:

Add related #5250, #7067

 Done. Thanks for the hint.

#17 - 2013-05-03 18:52 - john aylward

Dipan Mehta wrote:

Andriy Lesyuk wrote:

I just have released Extended fields plugin which adds "Wiki text" custom field type... Please check.

 I personally use this plugin. However, there is a critical challenge I faced which didn't allow me to use it fully. The 'Wiki text' is a new type of field

and fields types are not changeable AFTER they are created. so long text fields which we have already created cann't take the benefit of this. I

know I could tinker DB - but want to avoid this.

 The other issue I have with this is that the wikitext field is still in the column layout, so an H1 or H2 gets wrapped, and I found it wasn't very useful. I

wanted to use it as a place to keep test cases for our QA people, but it's so unwieldy at the moment, I'll stick with using the description field.

I think what I'm looking for is more of a secondary description field. Somewhere I can put nicely formatted text for test cases that doesn't require me to

update the description or get lost in the Notes.

#18 - 2013-06-06 02:32 - David Chiew

+100 for this feature, this feature would be awesome. I'm also trying to use long text fields to put Test Cases in (its a required field so we don't

forget!), and the formatting of this field would really help

#19 - 2013-11-16 10:30 - Jean-Philippe Lang

- Target version set to 2.5.0

#20 - 2013-12-17 04:32 - Toshi MARUYAMA

- Related to Feature #3543: Improve 'long text' custom fields added

#21 - 2013-12-22 15:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added in 2.5.0, Text and Long text custom fields now support optional text formatting.
#22 - 2013-12-23 22:13 - Dipan Mehta

Will this allow existing text fields to get text formatting? or will it be applicable on new fields taken only?

#23 - 2013-12-23 22:50 - Jean-Philippe Lang

The option is available for existing or new custom fields.

#24 - 2014-02-14 18:08 - Darth Vader

Which checkin is this change implemented in?

#25 - 2015-11-04 11:41 - Luis Blasco

Sorry if this is not the place to post but I can't see this feature having correctly been implemented in Redmine (old or latest versions).

When I create a long text custom field, I click on the check box "Text formatting", but when used in a tracker the field doesn't show the text formatting

icons above.

Any help would be appreciated.

Thanks!

#26 - 2015-12-03 11:01 - Toshi MARUYAMA

Luis Blasco wrote:

When I create a long text custom field, I click on the check box "Text formatting", but when used in a tracker the field doesn't show the text

formatting icons above.

 What do you mean "icons"?

#27 - 2015-12-29 19:38 - Luis Blasco

- File screenshot1.jpg added

Actually I meant the  formatting buttons above the text field.

#28 - 2016-01-28 04:23 - Toshi MARUYAMA

Luis Blasco wrote:

Actually I meant the  formatting buttons above the text field.

 Please create new issue for request.

#29 - 2016-02-02 10:59 - Luis Blasco

Done. Thank you.

#30 - 2016-02-24 16:44 - Toshi MARUYAMA

FTR: #21924

#31 - 2017-06-01 21:00 - Mischa The Evil

- Related to Feature #21924: Formatting buttons on long text custom fields added

#32 - 2018-11-25 06:01 - Go MAEDA

- Related to Defect #30027: Some styles (for ex: borders for tables) in a custom field with text formatting enabled are not displayed added

Files

screenshot1.jpg 18.4 KB 2015-12-29 Luis Blasco
